GLM: GLM_GTX_rotate_vector

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_rotate_vector
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tmat4x4< T, P > | orientation (detail::tvec3< T, P > const &Normal, detail::tvec3< T, P > const &Up)
template<typename T , precision P>
detail::tvec2< T, P > | rotate (detail::tvec2< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec3< T, P > | rotate (detail::tvec3< T, P > const &v, T const &angle, detail::tvec3< T, P > const &normal)
template<typename T , precision P>
detail::tvec4< T, P > | rotate (detail::tvec4< T, P > const &v, T const &angle, detail::tvec3< T, P > const &normal)
template<typename T , precision P>
detail::tvec3< T, P > | rotateX (detail::tvec3< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec4< T, P > | rotateX (detail::tvec4< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec3< T, P > | rotateY (detail::tvec3< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec4< T, P > | rotateY (detail::tvec4< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec3< T, P > | rotateZ (detail::tvec3< T, P > const &v, T const &angle)
template<typename T , precision P>
detail::tvec4< T, P > | rotateZ (detail::tvec4< T, P > const &v, T const &angle)

## Detailed Description

Function to directly rotate a vector.

<glm/gtx/rotate_vector.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat4x4<T, P> glm::orientation | ( | detail::tvec3< T, P > const & | Normal,
|  | detail::tvec3< T, P > const & | Up
| ) |  |

Build a rotation matrix from a normal and a up vector.

From GLM_GTX_rotate_vector extension.

detail::tvec2<T, P> glm::rotate | ( | detail::tvec2< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a two dimensional vector.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T, P> glm::rotate | ( | detail::tvec3< T, P > const & | v,
|  | T const & | angle,
|  | detail::tvec3< T, P > const & | normal
| ) |  |

Rotate a three dimensional vector around an axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T, P> glm::rotate | ( | detail::tvec4< T, P > const & | v,
|  | T const & | angle,
|  | detail::tvec3< T, P > const & | normal
| ) |  |

Rotate a four dimensional vector around an axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T, P> glm::rotateX | ( | detail::tvec3< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a three dimensional vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T, P> glm::rotateX | ( | detail::tvec4< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a four dimentionnals vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T, P> glm::rotateY | ( | detail::tvec3< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a three dimensional vector around the Y axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T, P> glm::rotateY | ( | detail::tvec4< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a four dimensional vector around the X axis.

From GLM_GTX_rotate_vector extension.

detail::tvec3<T, P> glm::rotateZ | ( | detail::tvec3< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a three dimensional vector around the Z axis.

From GLM_GTX_rotate_vector extension.

detail::tvec4<T, P> glm::rotateZ | ( | detail::tvec4< T, P > const & | v,
|  | T const & | angle
| ) |  |

Rotate a four dimensional vector around the X axis.

From GLM_GTX_rotate_vector extension.